
/**
 * Account demo program for PB162, Fall 2014.
 * 
 * @author Tomáš Pitner
 * @version 0.9
 */
public class Demo {
    
    public static final String MESSAGE = "This is a message";

    public static void main(String[] args) {
        
        Person petr = new Person("Petr Novák");
        Person jan = new Person("Jan Horák");

        Account petrsAccount = new Account(petr);
        Account jansAccount = new CheckedAccount(jan, 1000, 2000);
        //Account nobodysAccount = new Account(null);
        
        petrsAccount.add(200);
        
        petrsAccount.transferTo(jansAccount, 50);
        
        Informing i = petr;
        writeInfoNTimes(i, 3);  
        
        i = jansAccount;
        writeInfoNTimes(i, 2);  
        
    }
    
    public static void writeInfoNTimes(Informing inf, int n) {
        for(int i = 0; i < n; i++) {
            inf.writeInfo();
        }
    }
}
